#ifndef KONASEARCH_H
#define KONASEARCH_H

#include <glib-object.h>

G_BEGIN_DECLS

#define KONA_TYPE_SEARCH (kona_search_get_type())
//#define KONA_SEARCH(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), KONA_TYPE_SEARCH, KonaSearch))

G_DECLARE_FINAL_TYPE (KonaSearch, kona_search, KONA, SEARCH, GObject)

KonaSearch *kona_search_new(gchar *search);
static void kona_search_get_property(GObject *object, guint prop_id, GValue *value, GParamSpec *pspec);
static void kona_search_set_property(GObject *object, guint prop_id, const GValue *value, GParamSpec *pspec);
static void kona_search_class_init(KonaSearchClass *klass);
static void kona_search_init (KonaSearch *self);
static void kona_search_dispose(GObject *self);
static void kona_search_finalize(GObject *self);

void kona_search_start(KonaSearch *self);

G_END_DECLS

#endif // KONASEARCH_H
